using System;
using System.Collections.Generic;
using System.Text;

using System.Windows.Forms;
using WindowsLive.Writer.Api;


namespace LiveWriterPlugin
{
    [WriterPlugin("605EEA63-B54B-4e6d-A290-F5E9E8229FC2", "Simple Flickr",
         ImagePath = "Images.LiveWriterPlugin.png",
         PublisherUrl = "http://www.robmiles.com",
         Description = "Embed single Flickr images into your blog posts.")]

    [InsertableContentSource("Simple Flickr")]

    public class LivePlugin : ContentSource
    {
        public LivePlugin()
        {
        }

        private FlickrBrowseForm form = null;

        public override DialogResult CreateContent(IWin32Window dialogOwner, ref string newContent)
        {
            if (form == null)
            {
                form = new FlickrBrowseForm();
            }

            DialogResult result = form.ShowDialog();

            if (result == DialogResult.OK)
            {
                newContent = form.ResultString;
            }
            return result;
        }
    }
}
